> ## Documentation Index
> Fetch the complete documentation index at: https://docs.portkey.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get integrations by slug



## OpenAPI

````yaml https://raw.githubusercontent.com/PaloAltoNetworks/openapi/refs/heads/main/openapi.yaml get /integrations/{slug}
openapi: 3.0.0
info:
  title: Prisma AIRS AI Gateway API
  version: 3.0.0
  description: ''
servers:
  - url: https://aigw.portkey.ai/v1
    description: Managed
  - url: https://self-hosted-gateway-url.example.com/v1
    description: Self-hosted -- replace with your own gateway host
security:
  - Authorization: []
tags:
  - name: Assistants
    description: ''
  - name: Audio
    description: ''
  - name: Batch
    description: ''
  - name: Chat
    description: ''
  - name: Completions
    description: ''
  - name: Embeddings
    description: ''
  - name: Files
    description: ''
  - name: Fine-Tuning
    description: ''
  - name: Images
    description: ''
  - name: Model Pricing
    description: ''
  - name: Models
    description: ''
  - name: Moderations
    description: ''
  - name: OCR
    description: ''
  - name: Realtime
    description: ''
  - name: Rerank
    description: ''
  - name: Responses
    description: ''
  - name: Vector Stores
    description: ''
  - name: Configs
    description: ''
  - name: Guardrails
    description: ''
  - name: Integrations
    description: ''
  - name: Integrations > Models
    description: ''
  - name: Integrations > Workspaces
    description: ''
  - name: Providers
    description: ''
  - name: Secret References
    description: ''
  - name: MCP Integrations
    description: ''
  - name: MCP Integrations > Capabilities
    description: ''
  - name: MCP Integrations > Metadata
    description: ''
  - name: MCP Integrations > Workspaces
    description: ''
  - name: MCP Servers
    description: ''
  - name: MCP Servers > Capabilities
    description: ''
  - name: MCP Servers > Connections
    description: ''
  - name: MCP Servers > User Access
    description: ''
  - name: API Keys
    description: ''
  - name: Deployments
    description: ''
  - name: Org Guardrails
    description: ''
  - name: Rate Limit Policies
    description: ''
  - name: Usage Limit Policies
    description: ''
  - name: Analytics > Graphs
    description: ''
  - name: Analytics > Groups
    description: ''
  - name: Analytics > Summary
    description: ''
  - name: Feedback
    description: ''
  - name: Logs
    description: ''
paths:
  /integrations/{slug}:
    servers:
      - url: https://api.apps.paloaltonetworks.com/ai_gw/admin/v2
        description: Managed
    get:
      tags:
        - Integrations
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationDetailResponse'
components:
  schemas:
    IntegrationDetailResponse:
      allOf:
        - $ref: '#/components/schemas/IntegrationList'
        - type: object
          properties:
            masked_key:
              type: string
            configurations:
              type: object
              oneOf:
                - $ref: '#/components/schemas/OpenAIConfiguration'
                  title: OpenAI
                - $ref: '#/components/schemas/AzureOpenAIConfiguration'
                  title: Azure OpenAI
                - $ref: '#/components/schemas/BedrockConfiguration'
                  title: AWS Bedrock
                - $ref: '#/components/schemas/VertexAIConfiguration'
                  title: Vertex AI
                - $ref: '#/components/schemas/AzureAIConfiguration'
                  title: Azure AI
                - $ref: '#/components/schemas/WorkersAIConfiguration'
                  title: Workers AI
                - $ref: '#/components/schemas/SageMakerConfiguration'
                  title: AWS Sagemaker
                - $ref: '#/components/schemas/HuggingFaceConfiguration'
                  title: Hugginface
                - $ref: '#/components/schemas/CortexConfiguration'
                  title: Cortex
                - $ref: '#/components/schemas/CustomHostConfiguration'
                  title: Custom Base URL
            global_workspace_access_settings:
              $ref: '#/components/schemas/GlobalWorkspaceAccess'
              type: object
              nullable: true
            allow_all_models:
              type: boolean
            workspace_count:
              type: integer
            secret_mappings:
              type: array
              items:
                $ref: '#/components/schemas/SecretMapping'
            pricing_adjustments:
              $ref: '#/components/schemas/PricingAdjustments'
    IntegrationList:
      type: object
      properties:
        id:
          type: string
          format: UUID
        organisation_id:
          type: string
          format: UUID
        ai_provider_id:
          type: string
        name:
          type: string
        status:
          type: string
          enum:
            - active
            - archived
        created_at:
          type: string
          format: date-time
        last_updated_at:
          type: string
          format: date-time
          nullable: true
        slug:
          type: string
        description:
          type: string
        object:
          type: string
          enum:
            - integration
    OpenAIConfiguration:
      type: object
      properties:
        openai_organization:
          type: string
        openai_project:
          type: string
    AzureOpenAIConfiguration:
      type: object
      required:
        - azure_resource_name
        - azure_deployment_config
        - azure_auth_mode
      properties:
        azure_auth_mode:
          type: string
          enum:
            - default
            - entra
            - managed
        azure_resource_name:
          type: string
        azure_deployment_config:
          type: array
          minItems: 1
          items:
            $ref: '#/components/schemas/AzureDeploymentConfig'
        azure_entra_tenant_id:
          type: string
        azure_entra_client_id:
          type: string
        azure_entra_client_secret:
          type: string
        azure_managed_client_id:
          type: string
    BedrockConfiguration:
      type: object
      required:
        - aws_auth_type
        - aws_region
      properties:
        aws_auth_type:
          type: string
          enum:
            - accessKey
            - assumedRole
        aws_region:
          type: string
        aws_access_key_id:
          type: string
        aws_secret_access_key:
          type: string
        aws_role_arn:
          type: string
        aws_external_id:
          type: string
          nullable: true
    VertexAIConfiguration:
      type: object
      required:
        - vertex_auth_type
        - vertex_region
      properties:
        vertex_auth_type:
          type: string
          enum:
            - basic
            - serviceAccount
        vertex_region:
          type: string
        vertex_project_id:
          type: string
        vertex_service_account_json:
          type: object
    AzureAIConfiguration:
      type: object
      required:
        - azure_foundry_url
        - azure_auth_mode
      properties:
        azure_auth_mode:
          type: string
          enum:
            - default
            - entra
            - managed
        azure_foundry_url:
          type: string
        azure_api_version:
          type: string
          maxLength: 30
        azure_deployment_name:
          type: string
        azure_entra_tenant_id:
          type: string
        azure_entra_client_id:
          type: string
        azure_entra_client_secret:
          type: string
        azure_managed_client_id:
          type: string
    WorkersAIConfiguration:
      type: object
      required:
        - workers_ai_account_id
      properties:
        workers_ai_account_id:
          type: string
    SageMakerConfiguration:
      allOf:
        - $ref: '#/components/schemas/BedrockConfiguration'
        - type: object
          properties:
            amzn_sagemaker_custom_attributes:
              type: string
            amzn_sagemaker_target_model:
              type: string
            amzn_sagemaker_target_variant:
              type: string
            amzn_sagemaker_target_container_hostname:
              type: string
            amzn_sagemaker_inference_id:
              type: string
            amzn_sagemaker_enable_explanations:
              type: string
            amzn_sagemaker_inference_component:
              type: string
            amzn_sagemaker_session_id:
              type: string
            amzn_sagemaker_model_name:
              type: string
    HuggingFaceConfiguration:
      type: object
      properties:
        huggingface_base_url:
          type: string
    CortexConfiguration:
      type: object
      required:
        - snowflake_account
      properties:
        snowflake_account:
          type: string
    CustomHostConfiguration:
      type: object
      properties:
        custom_host:
          type: string
        custom_headers:
          type: object
          additionalProperties:
            type: string
    GlobalWorkspaceAccess:
      type: object
      required:
        - enabled
      properties:
        enabled:
          type: boolean
        usage_limits:
          type: array
          nullable: true
          maxItems: 1
          items:
            $ref: '#/components/schemas/UsageLimits'
        rate_limits:
          type: array
          nullable: true
          maxItems: 1
          items:
            $ref: '#/components/schemas/RateLimits'
    SecretMapping:
      type: object
      required:
        - target_field
        - secret_reference_id
      properties:
        target_field:
          type: string
        secret_reference_id:
          type: string
        secret_key:
          type: string
          nullable: true
        value_format:
          type: string
          nullable: true
          enum:
            - json
            - string
    PricingAdjustments:
      type: object
      nullable: true
      additionalProperties: false
      properties:
        multiplier:
          $ref: '#/components/schemas/PricingMultiplier'
    AzureDeploymentConfig:
      type: object
      required:
        - azure_api_version
        - azure_deployment_name
        - azure_model_slug
      properties:
        alias:
          type: string
        azure_api_version:
          type: string
          maxLength: 30
        azure_deployment_name:
          type: string
        is_default:
          type: boolean
          default: false
        azure_model_slug:
          type: string
    UsageLimits:
      type: object
      properties:
        credit_limit:
          type: integer
          minimum: 1
        type:
          type: string
          enum:
            - cost
            - tokens
        alert_threshold:
          type: integer
          minimum: 1
        periodic_reset:
          type: string
          enum:
            - monthly
            - weekly
          nullable: true
        periodic_reset_days:
          type: integer
          minimum: 1
          maximum: 365
          nullable: true
        next_usage_reset_at:
          type: string
          format: date-time
          nullable: true
    RateLimits:
      type: object
      properties:
        type:
          type: string
          enum:
            - requests
            - tokens
        unit:
          type: string
          enum:
            - rpd
            - rph
            - rpm
        value:
          type: integer
    PricingMultiplier:
      type: object
      additionalProperties: false
      properties:
        default:
          type: number
          nullable: true
          minimum: 0
        request_token:
          type: number
          nullable: true
          minimum: 0
        response_token:
          type: number
          nullable: true
          minimum: 0
        cache_read_input_token:
          type: number
          nullable: true
          minimum: 0
        cache_write_input_token:
          type: number
          nullable: true
          minimum: 0
        cache_read_audio_input_token:
          type: number
          nullable: true
          minimum: 0
        request_audio_token:
          type: number
          nullable: true
          minimum: 0
        response_audio_token:
          type: number
          nullable: true
          minimum: 0
        reasoning_token:
          type: number
          nullable: true
          minimum: 0
        prediction_accepted_token:
          type: number
          nullable: true
          minimum: 0
        prediction_rejected_token:
          type: number
          nullable: true
          minimum: 0
        request_image_token:
          type: number
          nullable: true
          minimum: 0
        response_image_token:
          type: number
          nullable: true
          minimum: 0
        request_text_token:
          type: number
          nullable: true
          minimum: 0
        response_text_token:
          type: number
          nullable: true
          minimum: 0
        cache_read_image_input_token:
          type: number
          nullable: true
          minimum: 0
        cache_read_text_input_token:
          type: number
          nullable: true
          minimum: 0
        cache_write_text_input_token:
          type: number
          nullable: true
          minimum: 0
        cache_write_image_input_token:
          type: number
          nullable: true
          minimum: 0
        image:
          type: object
          nullable: true
          additionalProperties: false
          properties:
            default:
              type: number
              nullable: true
              minimum: 0
        additional_units:
          type: object
          nullable: true
          additionalProperties:
            type: number
            nullable: true
            minimum: 0
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````